//
//  ReportFinalizationView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 21/05/2025.
//

import SwiftUI

struct ReportFinalizationView: View {
    var body: some View {
        ScrollView {
            VStack(alignment: .leading, spacing: 16) {
                SQText("Votre signalement")
                    .sqFont(.bold)
                HStack(alignment: .top) {
                    SQText("Motif :")
                        .sqFont(.semiBold)
                    SQText("Image non conforme")
                }
                Divider()
                HStack(alignment: .top) {
                    SQText("Sous-motif :")
                        .sqFont(.semiBold)
                    SQText("Photo de profil ou couverture inappropriée")
                }
                Divider()
                VStack {
                    SQTextEditor("Explication", placeholder: "", error: .constant(.none), text: .constant(""), minCharacters: 50)
                }
                Spacer()
                VStack(spacing: 0) {
                    SQCheckbox("Je certifie que toutes les informations renseignées sont exactes et complètes et que je les ai fournies en toute bonne foi.", isChecked: .constant(false), error: .constant(.none), alignment: .center)
                    SQCheckbox("Je comprends que tout signalement abusif pourra faire l’objet de sanctions.", isChecked: .constant(true), error: .constant(.none), alignment: .center)
                    SQButton("Signaler") {}
                        .sqColorScheme(.red)
                }
            }
        }
        .padding()
        .sqNavigationBar(title: "Signaler un profil", style: .modal)
    }
}

#Preview {
    NavigationView {
        ReportFinalizationView()
    }
}
